Debian Bug report logs - #623528
ITP: webdis -- simple web server providing an HTTP

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andriy Senkovych <jolly_roger@itblog.org.ua>

Date: Wed, 20 Apr 2011 22:57:02 UTC

Owned by: Andrii Senkovych <jolly_roger@itblog.org.ua>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#623528; Package wnpp. (Wed, 20 Apr 2011 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <jolly_roger@itblog.org.ua>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 20 Apr 2011 22:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <jolly_roger@itblog.org.ua>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: webdis -- a simple web server providing an HTTP interface to Redis server
Date: Thu, 21 Apr 2011 01:55:20 +0300
Package: wnpp
Severity: wishlist
Owner: Andriy Senkovych <jolly_roger@itblog.org.ua>


* Package name    : webdis
  Version         : 0.1.0
  Upstream Author : Nicolas Favre-Felix <n.favrefelix@gmail.com>
* URL             : https://github.com/nicolasff/webdis
* License         : BSD
  Programming Lang: C
  Description     : a simple web server providing an HTTP interface to Redis server

A very simple web server providing an HTTP interface to Redis. It uses hiredis,
jansson, libevent, and http-parser.

Features:

 * GET and POST are supported, as well as PUT for file uploads.
 * JSON output by default, optional JSONP parameter (?jsonp=myFunction or ?callback=myFunction).
 * Raw Redis 2.0 protocol output with .raw suffix
 * BSON support for compact responses and MongoDB compatibility.
 * HTTP 1.1 pipelining (70,000 http requests per second on a desktop Linux machine.)
 * Multi-threaded server, configurable number of worker threads.
 * WebSocket support (Currently using the “hixie-76” specification).
 * Connects to Redis using a TCP or UNIX socket.
 * Restricted commands by IP range (CIDR subnet + mask) or HTTP Basic Auth, returning 403 errors.
 * Possible Redis authentication in the config file.
 * Pub/Sub using Transfer-Encoding: chunked, works with JSONP as well. Webdis can be used as a Comet server.
 * Drop privileges on startup.
 * Custom Content-Type using a pre-defined file extension, or with ?type=some/thing.
 * URL-encoded parameters for binary data or slashes. For instance, %2f is decoded as / but not used as a command separator.
 * Logs, with a configurable verbosity.
 * Cross-origin requests, usable with XMLHttpRequest2 (Cross-Origin Resource Sharing - CORS).
 * File upload with PUT.
 * With the JSON output, the return value of INFO is parsed and transformed into an object.
 * Optional daemonize.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andriy Senkovych <jolly_roger@itblog.org.ua>:
Bug#623528; Package wnpp. (Thu, 21 Apr 2011 07:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andriy Senkovych <jolly_roger@itblog.org.ua>. (Thu, 21 Apr 2011 07:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 623528@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Andriy Senkovych <jolly_roger@itblog.org.ua>, 623528@bugs.debian.org
Subject: Re: Bug#623528: ITP: webdis -- a simple web server providing an HTTP interface to Redis server
Date: Thu, 21 Apr 2011 06:41:31 +0200
[Message part 1 (text/plain, inline)]
Quoting Andriy Senkovych (jolly_roger@itblog.org.ua):
> Package: wnpp
> Severity: wishlist
> Owner: Andriy Senkovych <jolly_roger@itblog.org.ua>
> 
> 
> * Package name    : webdis
>   Version         : 0.1.0
>   Upstream Author : Nicolas Favre-Felix <n.favrefelix@gmail.com>
> * URL             : https://github.com/nicolasff/webdis
> * License         : BSD
>   Programming Lang: C
>   Description     : a simple web server providing an HTTP interface to Redis server


Please drop the leading article in the package description.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andriy Senkovych <jolly_roger@itblog.org.ua>:
Bug#623528; Package wnpp. (Mon, 27 May 2013 14:14:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andriy Senkovych <jolly_roger@itblog.org.ua>. (Mon, 27 May 2013 14:14:22 GMT) Full text and rfc822 format available.

Message #15 received at 623528@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 623528@bugs.debian.org
Cc: control@bugs.debian.org
Subject: webdis: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:19 +0200
retitle 623528 RFP: webdis -- a simple web server providing an HTTP interface to Redis server
noowner 623528
tag 623528 - pending
thanks

Hi,

This is an automatic email to change the status of webdis back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting webdis, please send a mail to
<control@bugs.debian.org> with:

 retitle 623528 ITP: webdis -- a simple web server providing an HTTP interface to Redis server
 owner 623528 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <623528@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: webdis -- a simple web server providing an HTTP interface to Redis server' from 'ITP: webdis -- a simple web server providing an HTTP interface to Redis server' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:31:15 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Andriy Senkovych <jolly_roger@itblog.org.ua>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:31:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: webdis -- simple web server providing an HTTP' from 'RFP: webdis -- a simple web server providing an HTTP interface to Redis server' Request was from Andrii Senkovych <jolly_roger@itblog.org.ua> to control@bugs.debian.org. (Thu, 29 Aug 2013 14:24:15 GMT) Full text and rfc822 format available.

Owner recorded as Andrii Senkovych <jolly_roger@itblog.org.ua>. Request was from Andrii Senkovych <jolly_roger@itblog.org.ua> to control@bugs.debian.org. (Thu, 29 Aug 2013 14:24:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 04 Sep 2013 08:06:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:06:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.